/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.lka.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>P625Parakramabahu</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>P625Parakramabahu.createInstance()</code> or <code>new P625Parakramabahu()</code>. </p>
 * <ul>
 *     <li> Country: Sri Lanka (LKA) = <code>200</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Light/Patrol Craft = <code>7</code>; </li>
 *     <li> SubCategory: JiangweiIClassType053H2G  = <code>3</code>; </li>
 *     <li> Specific: P625Parakramabahu  = <code>1</code>; </li>
 *     <li> Entity type uid: 33579; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v31 (2022-10-08)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@5922d3e9. </p>
 * @see Country#SRI_LANKA_LKA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see LightPatrolCraft
 * @see SubCategory

 */
public final class P625Parakramabahu extends EntityType
{
    /** Default constructor */
    public P625Parakramabahu()
    {
        setCountry(Country.SRI_LANKA_LKA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)7); // uid 26422, Light/Patrol Craft
        setSubCategory((byte)3); // uid 33578, Jiangwei-I Class (Type 053H2G)
        setSpecific((byte)1); // uid 33579, P 625 Parakramabahu
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static P625Parakramabahu createInstance()
    {
            return new P625Parakramabahu();
    }
}
